import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { NgxEchartsModule } from "ngx-echarts";
import { AlarmManageComponent } from './alarm-manage/alarm-manage.component';
import {AlarmListComponent} from './alarm-list/alarm-list.component';
import {AlarmLogComponent} from './alarm-log/alarm-log.component';
import {AlarmSetComponent} from './alarm-set/alarm-set.component';
import {NowAlarmComponent} from './now-alarm/now-alarm.component';
import {SendSetComponent} from './send-set/send-set.component';
import {AlarmService} from './alarm.service';
import {FormsModule, ReactiveFormsModule} from '@angular/forms';
import {NgZorroAntdModule} from 'ng-zorro-antd';
import {SendLogComponent} from './modal/send-log/send-log.component';

@NgModule({
    imports: [
        CommonModule,
        NgxEchartsModule,
        FormsModule,
        ReactiveFormsModule,
        NgZorroAntdModule.forRoot()
    ],
    declarations: [
        AlarmManageComponent,
        AlarmListComponent,
        AlarmLogComponent,
        AlarmSetComponent,
        NowAlarmComponent,
        SendSetComponent,
        SendLogComponent
    ],
    providers:[
        AlarmService
    ]
})
export class AlarmModule { }
