import {Component, OnInit, ViewChild, ElementRef} from '@angular/core';
import {AlarmService} from '../alarm.service';
import {NzMessageService} from 'ng-zorro-antd';
import {SendLogComponent} from '../modal/send-log/send-log.component';
import {pageSize} from '../../app.constants';

@Component({
    selector: 'smart-now-alarm',
    templateUrl: './now-alarm.component.html',
    styles: [
            `
            .list-icon{
                font-size: 20px;
                text-align: center;
                color: #8cb6ce;
            }
        `
    ]
})
export class NowAlarmComponent implements OnInit {
    @ViewChild('sendLog') sendLog:SendLogComponent;
    warnList = [];

    loading = false;
    pageCount = pageSize;
    pageNum = 1;
    totalNum;

    constructor(public alarmSer: AlarmService, public message: NzMessageService) {
    }

    ngOnInit() {
        this.findWarning();
    }

    findWarning() {
        this.loading = true;
        const data = {
            obj:{
                isWaring:'yes'
            },
            pageCount:this.pageCount,
            pageNum:this.pageNum
        };
        this.alarmSer.eventFind(data).subscribe(
            (res) => {
                if (res.errCode = 10000) {
                    this.warnList = res.data.data;
                    this.totalNum = res.data.totalNum;
                } else {
                    this.message.info(res.errMsg);
                }
                this.loading = false;
            }
        );
    }

    change(e){
        this.pageNum = e;
        this.findWarning();
    }

    //打开modal
    showModal(data){
        this.sendLog.showModal(data);
    }

}
